#
# spec file for package perl-Text-SimpleTable
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Text-SimpleTable
Version:        2.07
Release:        1.16
%define cpan_name Text-SimpleTable
Summary:        Simple Eyecandy ASCII Tables
License:        Artistic-2.0
Group:          Development/Libraries/Perl
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/M/MR/MRAMBERG/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
Recommends:     perl(Text::VisualWidth::PP)
Recommends:     perl(Text::VisualWidth::UTF8)
Recommends:     perl(Unicode::LineBreak)
%{perl_requires}

%description
Simple eyecandy ASCII tables.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes examples README
%license LICENSE

%changelog
* Fri Jan 22 2021 Frank Schreiner <FSchreiner@suse.com>
- re-run cpanspec
* Tue Jul 24 2018 coolo@suse.com
- updated to 2.07
  see /usr/share/doc/packages/perl-Text-SimpleTable/Changes
  2.07  2018-07-22 23:09:00
  - rerelease with unbroken manifest.
  2.06  2018-07-22 23:09:00
  - Apply changes from Wesley Schwengle (waterkip) to
    make tests more resillient
  2.05  2010-06-06 16:38:00
  - Add CJK support (usausat)
  - Add unicode box support (pjsg)
* Sat Mar 24 2018 coolo@suse.com
- updated to 2.04
  see /usr/share/doc/packages/perl-Text-SimpleTable/Changes
  2.04  2018-03-23 14:13:00
  - Add line drawing using Unicode line drawing characters as an option (pjsg)
  - Update metadata (grinnz)
* Sat Apr 18 2015 coolo@suse.com
- updated to 2.03
  see /usr/share/doc/packages/perl-Text-SimpleTable/Changes
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- called spec2changelog
* Tue Jan 12 2010 nine@detonation.org
- Specfile autogenerated by cpanspec 1.78.
